# -*- coding: utf-8 -*-
"""
This is a cx_Freeze setup.py script

Usage:
    python cxFreeze_setup.py build
"""
import sys
import os
from cx_Freeze import setup, Executable

# Dependencies are automatically detected, but it might need fine tuning.
python_dir = r'C:\Python35'    # Python installed directory

includes = ['irkit', 'resolve_irkit']
include_files = [python_dir + r'\DLLs\tcl86t.dll',
                 python_dir + r'\DLLs\tk86t.dll',
                 'images']
pakages = ['os', 'sys', 'tkinter', 'pybonjour']
excludes = ['logging', 'distutils',
            'multiprocessing', 'pydoc_data',
            'test', 'unittest',
            'xml', 'xmlrpc']
build_exe_options = {'includes': includes,
                     'include_files': include_files,
                     'packages': pakages,
                     'excludes': excludes,
                     'optimize': 2}

base = None
if sys.platform == 'win32':
    base = 'Win32GUI'

os.environ['TCL_LIBRARY'] = python_dir + r'\tcl\tcl8.6'
os.environ['TK_LIBRARY'] = python_dir + r'\tcl\tk8.6'
exec = [Executable('QuickIR.py', base=base, targetName='QuickIR.exe', icon='app.ico')]


setup(name='QuickIR',
      version='1.0.8',
      description='QuickIR control IRKit device',
      options={'build_exe': build_exe_options},
      executables=exec)
